Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.publish.ivy.tasks
[Java] Class GenerateIvyDescriptor

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.publish.ivy.tasks.GenerateIvyDescriptor

    @Incubating
    public class GenerateIvyDescriptor
    extends DefaultTask

Generates an Ivy XML Module Descriptor file.

Since:
  1.4

Constructor Summary
`GenerateIvyDescriptor(FileResolver fileResolver)`

Method Summary
`void` | `doGenerate()`
`IvyModuleDescriptor` | `getDescriptor()` The module descriptor metadata.
`File` | `getDestination()` The file the descriptor will be written to.
`void` | `setDescriptor(IvyModuleDescriptor descriptor)`
`void` | `setDestination(Object destination)` Sets the destination the descriptor will be written to.

Constructor Detail

### GenerateIvyDescriptor

    @Inject
    public GenerateIvyDescriptor(FileResolver fileResolver)

Method Detail

### doGenerate

    @TaskAction
    public void doGenerate()

### getDescriptor

    public IvyModuleDescriptor getDescriptor()

  The module descriptor metadata.
  Returns:
    The module descriptor.

### getDestination

    @OutputFile
    public File getDestination()

  The file the descriptor will be written to.
  Returns:
    The file the descriptor will be written to

### setDescriptor

    public void setDescriptor(IvyModuleDescriptor descriptor)

### setDestination

    public void setDestination(Object destination)

  Sets the destination the descriptor will be written to. The value is resolved with Project.file
  Parameters:
    `destination` - The file the descriptor will be written to.

Gradle API 1.10